src/gui/cs_gui.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_gui.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_gui.h:

Go to the source code of this file.

## Functions
void | uiinit (void)
void | csther (int *itherm, int *itpscl)
void | csturb (int *const iturb, int *const ideuch, int *const igrake, int *const igrari, double *const xlomlg)
void | cscpva (int *const icp)
void | csvvva (int *const iviscv)
void | csnsca (int *const nscaus)
void | uithsc (int *const iscalt)
void | csisca (int *const iscavr, int *const itherm, const int *const iscapp)
void | csivis (int *const iscavr, int *const ivisls, int *const iscalt, int *const itherm, int *const itempk)
void | csidtv (int *const idtvar)
void | csiphy (int *const iphydr)
void | cscfgp (int *const icfgrp)
void | csvnum (const int *const nvar, const int *const iu, const int *const iv, const int *const iw, const int *const ipr, const int *const iturb, const int *const ik, const int *const iep, const int *const ir11, const int *const ir22, const int *const ir33, const int *const ir12, const int *const ir13, const int *const ir23, const int *const iomg, const int *const iphi, const int *const ifb, const int *const ial, const int *const inusa, const int *const iale, const int *const iuma, const int *const ivma, const int *const iwma, const int *const isca, const int *const iscapp, const int *const itherm)
void | csisui (int *const ntsuit, int *const ileaux, int *const iccvfg)
void | cstime (int *const inpdt0, int *const iptlro, int *const ntmabs, int *const idtvar, double *const dtref, double *const dtmin, double *const dtmax, double *const coumax, double *const foumax, double *const varrdt, double *const relxst)
void | uinum1 (const int *const isca, const int *const iscapp, double *const blencv, int *const ischcv, int *const isstpc, int *const ircflu, double *const cdtvar, int *const nitmax, double *const epsilo, int *const iresol, int *const imgrpr, int *const nswrsm)
void | csnum2 (int *const ivisse, double *const relaxp, int *const ipucou, double *const extrag, int *const imrgra, int *const nterup)
void | csphys (const int *const nmodpp, int *const irovar, int *const ivivar, int *const icorio, double *const gx, double *const gy, double *const gz, double *const omegax, double *const omegay, double *const omegaz, double *const ro0, double *const viscl0, double *const viscv0, double *const visls0, double *const cp0, double *const t0, double *const p0, double *const xmasmr, int *const itempk)
void | cssca2 (const int *const iscalt, const int *const iscavr, double *const scamin, double *const scamax)
void | cssca3 (const int *const itherm, const int *const iscalt, const int *const iscavr, double *const visls0, double *const t0, double *const p0)
void | uiprop (const int *const irom, const int *const iviscl, const int *const ivisct, const int *const ivisls, const int *const icour, const int *const ifour, const int *const ismago, const int *const iale, const int *const icp, const int *const iscalt, const int *const iscavr, const int *const iprtot, const int *const ipppro, const int *const ipproc, const int *const icmome, const int *const ipptx, const int *const ippty, const int *const ipptz, const int *const ippdt, const int *const ivisma, const int *const idtvar, const int *const ipucou, const int *const iappel)
void | uimoyt (const int *const ndgmox, int *const ntdmom, int *const imoold, int *const idfmom)
void | cstini (double *const uref, double *const almax)
void | fcnmva (const char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | cfnmva (char *const fstr, int *const len, int *const var_idCS_ARGF_SUPP_CHAINE)
void | nvamem (void)
void | uitsnv (const cs_real_3_t *restrict vel, cs_real_3_t *restrict tsexp, cs_real_33_t *restrict tsimp)
void | uitssc (const int *iscal, const cs_real_t *restrict pvar, cs_real_t *restrict tsexp, cs_real_t *restrict tsimp)
void | uitsth (const int *iscal, const cs_real_t *restrict pvar, cs_real_t *restrict tsexp, cs_real_t *restrict tsimp)
void | uiiniv (const int *ncelet, const int *isuite, const int *isca, const int *iscold, int *iccfth, const int *const ipr, const int *const iscalt, const int *const itempk, const int *const ienerg, const cs_real_t *ro0, const cs_real_t *cp0, const cs_real_t *viscl0, const cs_real_t *uref, const cs_real_t *almax, const double *const xyzcen, double rtp[])
void | uiphyv (const cs_int_t *const ncel, const cs_int_t *const ncelet, const cs_int_t *const nscaus, const cs_int_t *const itherm, const cs_int_t iviscl[], const cs_int_t icp[], const cs_int_t ivisls[], const cs_int_t irovar[], const cs_int_t ivivar[], const cs_int_t isca[], const cs_int_t iscalt[], const cs_int_t iscavr[], const cs_int_t ipproc[], const cs_int_t iviscv[], const cs_int_t itempk[], const cs_real_t p0[], const cs_real_t t0[], const cs_real_t ro0[], const cs_real_t cp0[], const cs_real_t viscl0[], const cs_real_t visls0[], const cs_real_t viscv0[], const cs_real_t rtp[], double propce[])
void | uikpdc (const int *iappel, const int *ncelet, int *ncepdp, int icepdc[], double ckupdc[], const double rtpa[])
void | uiprof (const int *const ncelet, const int *const ncel, const int *const ntmabs, const int *const ntcabs, const double *const ttcabs, const double *const ttmabs, const double *const ttpabs, const double *const xyzcen, const double *const rtp, const double *const propce, const int *const ipproc)
void | memui1 (const int *const ncharb)
void | cs_gui_properties_value (const char *property_name, double *value)
void | cs_gui_reference_initialization (const char *param, double *value)
void | cs_gui_partition (void)
void | cs_gui_parallel_io (void)
void | cs_gui_clean_memory (void)
void | cs_gui_usage_log (void)

## Function Documentation

void cfnmva | ( | char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void cs_gui_clean_memory | ( | void |  | ) |

void cs_gui_parallel_io | ( | void |  | ) |

void cs_gui_partition | ( | void |  | ) |

void cs_gui_properties_value | ( | const char * | property_name,
|  | double * | value
| ) |  |

void cs_gui_reference_initialization | ( | const char * | param,
|  | double * | value
| ) |  |

void cs_gui_usage_log | ( | void |  | ) |

void cscfgp | ( | int *const | icfgrp | ) |

void cscpva | ( | int *const | icp | ) |

void csidtv | ( | int *const | idtvar | ) |

void csiphy | ( | int *const | iphydr | ) |

void csisca | ( | int *const | iscavr,
|  | int *const | itherm,
|  | const int *const | iscapp
| ) |  |

void csisui | ( | int *const | ntsuit,
|  | int *const | ileaux,
|  | int *const | iccvfg
| ) |  |

void csivis | ( | int *const | iscavr,
|  | int *const | ivisls,
|  | int *const | iscalt,
|  | int *const | itherm,
|  | int *const | itempk
| ) |  |

void csnsca | ( | int *const | nscaus | ) |

void csnum2 | ( | int *const | ivisse,
|  | double *const | relaxp,
|  | int *const | ipucou,
|  | double *const | extrag,
|  | int *const | imrgra,
|  | int *const | nterup
| ) |  |

void csphys | ( | const int *const | nmodpp,
|  | int *const | irovar,
|  | int *const | ivivar,
|  | int *const | icorio,
|  | double *const | gx,
|  | double *const | gy,
|  | double *const | gz,
|  | double *const | omegax,
|  | double *const | omegay,
|  | double *const | omegaz,
|  | double *const | ro0,
|  | double *const | viscl0,
|  | double *const | viscv0,
|  | double *const | visls0,
|  | double *const | cp0,
|  | double *const | t0,
|  | double *const | p0,
|  | double *const | xmasmr,
|  | int *const | itempk
| ) |  |

void cssca2 | ( | const int *const | iscalt,
|  | const int *const | iscavr,
|  | double *const | scamin,
|  | double *const | scamax
| ) |  |

void cssca3 | ( | const int *const | itherm,
|  | const int *const | iscalt,
|  | const int *const | iscavr,
|  | double *const | visls0,
|  | double *const | t0,
|  | double *const | p0
| ) |  |

void csther | ( | int * | itherm,
|  | int * | itpscl
| ) |  |

void cstime | ( | int *const | inpdt0,
|  | int *const | iptlro,
|  | int *const | ntmabs,
|  | int *const | idtvar,
|  | double *const | dtref,
|  | double *const | dtmin,
|  | double *const | dtmax,
|  | double *const | coumax,
|  | double *const | foumax,
|  | double *const | varrdt,
|  | double *const | relxst
| ) |  |

void cstini | ( | double *const | uref,
|  | double *const | almax
| ) |  |

void csturb | ( | int *const | iturb,
|  | int *const | ideuch,
|  | int *const | igrake,
|  | int *const | igrari,
|  | double *const | xlomlg
| ) |  |

void csvnum | ( | const int *const | nvar,
|  | const int *const | iu,
|  | const int *const | iv,
|  | const int *const | iw,
|  | const int *const | ipr,
|  | const int *const | iturb,
|  | const int *const | ik,
|  | const int *const | iep,
|  | const int *const | ir11,
|  | const int *const | ir22,
|  | const int *const | ir33,
|  | const int *const | ir12,
|  | const int *const | ir13,
|  | const int *const | ir23,
|  | const int *const | iomg,
|  | const int *const | iphi,
|  | const int *const | ifb,
|  | const int *const | ial,
|  | const int *const | inusa,
|  | const int *const | iale,
|  | const int *const | iuma,
|  | const int *const | ivma,
|  | const int *const | iwma,
|  | const int *const | isca,
|  | const int *const | iscapp,
|  | const int *const | itherm
| ) |  |

void csvvva | ( | int *const | iviscv | ) |

void fcnmva | ( | const char *const | fstr,
|  | int *const | len,
|  | int *const | var_idCS_ARGF_SUPP_CHAINE
| ) |  |

void memui1 | ( | const int *const | ncharb | ) |

void nvamem | ( | void |  | ) |

void uiinit | ( | void |  | ) |

void uiiniv | ( | const int * | ncelet,
|  | const int * | isuite,
|  | const int * | isca,
|  | const int * | iscold,
|  | int * | iccfth,
|  | const int *const | ipr,
|  | const int *const | iscalt,
|  | const int *const | itempk,
|  | const int *const | ienerg,
|  | const cs_real_t * | ro0,
|  | const cs_real_t * | cp0,
|  | const cs_real_t * | viscl0,
|  | const cs_real_t * | uref,
|  | const cs_real_t * | almax,
|  | const double *const | xyzcen,
|  | double | rtp[]
| ) |  |

void uikpdc | ( | const int * | iappel,
|  | const int * | ncelet,
|  | int * | ncepdp,
|  | int | icepdc[],
|  | double | ckupdc[],
|  | const double | rtpa[]
| ) |  |

void uimoyt | ( | const int *const | ndgmox,
|  | int *const | ntdmom,
|  | int *const | imoold,
|  | int *const | idfmom
| ) |  |

void uinum1 | ( | const int *const | isca,
|  | const int *const | iscapp,
|  | double *const | blencv,
|  | int *const | ischcv,
|  | int *const | isstpc,
|  | int *const | ircflu,
|  | double *const | cdtvar,
|  | int *const | nitmax,
|  | double *const | epsilo,
|  | int *const | iresol,
|  | int *const | imgrpr,
|  | int *const | nswrsm
| ) |  |

void uiphyv | ( | const cs_int_t *const | ncel,
|  | const cs_int_t *const | ncelet,
|  | const cs_int_t *const | nscaus,
|  | const cs_int_t *const | itherm,
|  | const cs_int_t | iviscl[],
|  | const cs_int_t | icp[],
|  | const cs_int_t | ivisls[],
|  | const cs_int_t | irovar[],
|  | const cs_int_t | ivivar[],
|  | const cs_int_t | isca[],
|  | const cs_int_t | iscalt[],
|  | const cs_int_t | iscavr[],
|  | const cs_int_t | ipproc[],
|  | const cs_int_t | iviscv[],
|  | const cs_int_t | itempk[],
|  | const cs_real_t | p0[],
|  | const cs_real_t | t0[],
|  | const cs_real_t | ro0[],
|  | const cs_real_t | cp0[],
|  | const cs_real_t | viscl0[],
|  | const cs_real_t | visls0[],
|  | const cs_real_t | viscv0[],
|  | const cs_real_t | rtp[],
|  | double | propce[]
| ) |  |

void uiprof | ( | const int *const | ncelet,
|  | const int *const | ncel,
|  | const int *const | ntmabs,
|  | const int *const | ntcabs,
|  | const double *const | ttcabs,
|  | const double *const | ttmabs,
|  | const double *const | ttpabs,
|  | const double *const | xyzcen,
|  | const double *const | rtp,
|  | const double *const | propce,
|  | const int *const | ipproc
| ) |  |

void uiprop | ( | const int *const | irom,
|  | const int *const | iviscl,
|  | const int *const | ivisct,
|  | const int *const | ivisls,
|  | const int *const | icour,
|  | const int *const | ifour,
|  | const int *const | ismago,
|  | const int *const | iale,
|  | const int *const | icp,
|  | const int *const | iscalt,
|  | const int *const | iscavr,
|  | const int *const | iprtot,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | icmome,
|  | const int *const | ipptx,
|  | const int *const | ippty,
|  | const int *const | ipptz,
|  | const int *const | ippdt,
|  | const int *const | ivisma,
|  | const int *const | idtvar,
|  | const int *const | ipucou,
|  | const int *const | iappel
| ) |  |

void uithsc | ( | int *const | iscalt | ) |

void uitsnv | ( | const cs_real_3_t *restrict | vel,
|  | cs_real_3_t *restrict | tsexp,
|  | cs_real_33_t *restrict | tsimp
| ) |  |

void uitssc | ( | const int * | iscal,
|  | const cs_real_t *restrict | pvar,
|  | cs_real_t *restrict | tsexp,
|  | cs_real_t *restrict | tsimp
| ) |  |

void uitsth | ( | const int * | iscal,
|  | const cs_real_t *restrict | pvar,
|  | cs_real_t *restrict | tsexp,
|  | cs_real_t *restrict | tsimp
| ) |  |